summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Fernando Lopez Jr <fernando.lopezjr@gmail.com>2017-09-23 12:16:35 +0100
committer David Spencer <idlemoor@slackbuilds.org>2017-09-23 12:16:35 +0100
commit0653b417bc63bf703e797f355347f3ebd4a8cf3d (patch)
treeea07e0199b0d77681fda13f1f3c61fc5c841896d /system
parent31c8e32542a1924de76dd9cb231627a4894b51b2 (diff)
downloadslackbuilds-0653b417bc63bf703e797f355347f3ebd4a8cf3d.tar.gz
slackbuilds-0653b417bc63bf703e797f355347f3ebd4a8cf3d.tar.xz
system/evhz: Added (show mouse refresh rate).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/evhz/README10
-rw-r--r--system/evhz/evhz.SlackBuild90
-rw-r--r--system/evhz/evhz.info10
-rw-r--r--system/evhz/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/system/evhz/README b/system/evhz/README
new file mode 100644
index 0000000000..fa5dd8af3d
--- /dev/null
+++ b/system/evhz/README
@@ -0,0 +1,10 @@
+Show mouse refresh rate under linux + evdev
+
+For information about polling rate, see
+https://wiki.archlinux.org/index.php/Mouse_Polling_Rate
+
+Note: There exists a kernel bug for USB ports which use the uhci_hcd
+driver, where a 1000 hz mouse will only read at 500hz, causing
+jittering. A workaround is to use USB ports that use the ehci-pci
+driver. See
+ https://bugzilla.kernel.org/show_bug.cgi?id=60586
diff --git a/system/evhz/evhz.SlackBuild b/system/evhz/evhz.SlackBuild
new file mode 100644
index 0000000000..5a395e1381
--- /dev/null
+++ b/system/evhz/evhz.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for evhz
+
+# Copyright 2016 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=evhz
+VERSION=${VERSION:-3b656489}
+COMMIT=${COMMIT:-3b656489b70838afaeb33359cb0086e2a184c81f}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-$COMMIT
+tar xvf $CWD/$PRGNAM-$VERSION-$COMMIT.tar.gz || tar xvf $CWD/archive.tar.gz\?ref\=${VERSION}
+cd $PRGNAM-$VERSION-$COMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cc -o evhz evhz.c
+
+install -D -m755 evhz $PKG/usr/bin/evhz
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/evhz/evhz.info b/system/evhz/evhz.info
new file mode 100644
index 0000000000..d0df61bf53
--- /dev/null
+++ b/system/evhz/evhz.info
@@ -0,0 +1,10 @@
+PRGNAM="evhz"
+VERSION="3b656489"
+HOMEPAGE="https://gitlab.com/iankelling/evhz"
+DOWNLOAD="https://gitlab.com/iankelling/evhz/repository/archive.tar.gz?ref=3b656489"
+MD5SUM="e30535abab8c58470660681ed080ef01"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/system/evhz/slack-desc b/system/evhz/slack-desc
new file mode 100644
index 0000000000..b5bfae3821
--- /dev/null
+++ b/system/evhz/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+evhz: evhz (show mouse refresh rate)
+evhz:
+evhz: Show mouse refresh rate under linux + evdev
+evhz:
+evhz: https://gitlab.com/iankelling/evhz
+evhz:
+evhz:
+evhz:
+evhz:
+evhz:
+evhz: